package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@Flamable
@BlockRegistry("oak_leaves")
public class OakLeavesBlock extends Block {
    public OakLeavesBlock() {
        super("oak_leaves", SpriteLoader.SPRITES.OAK_LEAF, 1, ItemType.SHEARS,
                new ArrayList<>());
    }
}
