package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@MineSound(SoundKey.SAND_DIG)
@PlaceSound(SoundKey.SAND_DIG)
@MiningSound(SoundKey.SAND_MINING)
@WalkSound(SoundKey.SAND_WALKING)
@FallingBlock
@BlockRegistry("sand")
public class SandBlock extends Block {
    public SandBlock() {
        super("sand", SpriteLoader.SPRITES.SAND, 1, ItemType.SHOVEL, new ArrayList<>());
    }
}
