package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "oxeye_daisy")
public class OxeyeDaisyBlock extends Block {
    public OxeyeDaisyBlock() {
        super("oxeye_daisy", SpriteLoader.SPRITES.OXEYE_DAISY, 0);
        setGhost(true);
    }
}
