package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@TwoblockBlock
@BlockRegistry(value = "peony")
public class PeonyBlock extends Block {
    public PeonyBlock() {
        super("peony", SpriteLoader.SPRITES.PEONY, 0);
        setGhost(true);
    }
}
