package cz.jzitnik.game.entities.items.registry.blocks.ores.gold;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@WalkSound(SoundKey.METAL_WALKING)
@MiningSound(SoundKey.METAL_MINING)
@PlaceSound(SoundKey.METAL_DIG)
@MineSound(SoundKey.METAL_DIG)
@BlockRegistry("gold_block")
public class GoldBlock extends Block {
    public GoldBlock() {
        super("gold_block", SpriteLoader.SPRITES.GOLD_BLOCK, 15, ItemType.PICKAXE,
                Arrays.stream(ToolVariant.values()).toList());
    }
}
