package cz.jzitnik.game.entities.items.registry.blocks.work;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.blocks.Chest;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;

import java.util.ArrayList;

@MineSound(SoundKey.WOOD_DIG)
@PlaceSound(SoundKey.WOOD_DIG)
@MiningSound(SoundKey.WOOD_MINING)
@WalkSound(SoundKey.WOOD_WALKING)
@Flamable(false)
@BlockRegistry("chest")
public class ChestBlock extends Block {
    public ChestBlock() {
        super("chest", SpriteLoader.SPRITES.CHEST, 3, ItemType.AXE, new ArrayList<>(), new Chest());
    }
}
