package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "azure_bluet")
public class AzureBluetBlock extends Block {
    public AzureBluetBlock() {
        super("azure_bluet", SpriteLoader.SPRITES.AZURE_BLUET, 0);
        setGhost(true);
    }
}
