package cz.jzitnik.game.entities.items.registry.blocks.grassy.flowers;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@PlaceOnSolid
@BreakableByWater
@BreaksFalling
@BlockRegistry(value = "lily_of_the_valley")
public class LilyOfTheValleyBlock extends Block {
    public LilyOfTheValleyBlock() {
        super("lily_of_the_valley", SpriteLoader.SPRITES.LILY_OF_THE_VALLEY, 0);
        setGhost(true);
    }
}
