package cz.jzitnik.game.entities.items.registry.blocks.ores.diamond;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@PlaceSound(SoundKey.STONE_DIG)
@MineSound(SoundKey.STONE_DIG)
@WalkSound(SoundKey.STONE_WALKING)
@MiningSound(SoundKey.STONE_MINING)
@BlockRegistry("diamond_ore")
public class DiamondOreBlock extends Block {
    public DiamondOreBlock() {
        super("diamond_ore", SpriteLoader.SPRITES.DIAMOND_ORE, 15, ItemType.PICKAXE,
                Arrays.stream(ToolVariant.values()).toList());
    }
}
