package cz.jzitnik.game.entities.items.registry.blocks.wools;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.sprites.Wool;

@PlaceSound(SoundKey.WOOL_DIG)
@MineSound(SoundKey.WOOL_DIG)
@WalkSound(SoundKey.WOOL_DIG)
@MiningSound(SoundKey.WOOL_DIG)
@BlockRegistry("pink_wool")
public class PinkWoolBlock extends Block {
    public PinkWoolBlock() {
        super("pink_wool", SpriteLoader.SPRITES.WOOL, 3);
        setSpriteState(Wool.WoolState.PINK);
    }
}
